%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-opensc
Version:        0.12.2
Release:        1%{?dist}
Summary:        MingGW Windows OpenSC library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.opensc-project.org/opensc/
Source0:        http://www.opensc-project.org/files/opensc/opensc-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libltdl
BuildRequires:  mingw32-openssl
BuildRequires:  mingw32-readline

%description
OpenSC provides a set of libraries and utilities to work with smart cards. Its
main focus is on cards that support cryptographic operations, and facilitate
their use in security applications such as authentication, mail encryption and
digital signatures. OpenSC implements the PKCS#11 API so applications
supporting this API (such as Mozilla Firefox and Thunderbird) can use it. On
the card OpenSC implements the PKCS#15 standard and aims to be compatible with
every software/card that does so, too.

This is the MinGW cross-compiled Windows library.


%{?_mingw32_debug_package}


%prep
%setup -q -n opensc-%{version}

sed -i -e 's|/usr/local/towitoko/lib/|%{_mingw32_libdir}/ctapi/|' etc/opensc.conf.in


%build
%{_mingw32_configure}  --disable-static \
  --disable-assert \
  --enable-pcsc
make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 etc/opensc.conf $RPM_BUILD_ROOT%{_mingw32_sysconfdir}/opensc.conf

# Remove docs which duplicate the ones in native package
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/doc/opensc

# Remove unneeded files
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/*.def
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/*.dll.a


%files
%doc COPYING
%config(noreplace) %{_mingw32_sysconfdir}/opensc.conf
%{_mingw32_bindir}/*.exe
%{_mingw32_bindir}/libopensc-3.dll
%{_mingw32_bindir}/onepin-opensc-pkcs11.dll
%{_mingw32_bindir}/opensc-pkcs11.dll
%{_mingw32_bindir}/pkcs11-spy.dll
%{_mingw32_datadir}/opensc/
%{_mingw32_sbindir}/opensc-install.bat


%changelog
* Sat Jul 16 2011 Kalev Lember <kalevlember@gmail.com> - 0.12.2-1
- Update to 0.12.2

* Wed May 18 2011 Kalev Lember <kalev@smartlink.ee> - 0.12.1-1
- Update to 0.12.1
- Spec clean up; removed old cruft not needed in current Fedora releases
- Updated description

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.12.0-1
- Update to 0.12.0
- Disabled asserts

* Mon Mar 01 2010 Kalev Lember <kalev@smartlink.ee> - 0.11.13-1
- Update to 0.11.13

* Tue Jan 19 2010 Kalev Lember <kalev@smartlink.ee> - 0.11.12-1
- Update to 0.11.12
- Expand %%_mingw32_debug_package macro to nothing if not defined

* Sat Jan 02 2010 Kalev Lember <kalev@smartlink.ee> - 0.11.11-2
- Rebuilt with new mingw32-libltdl

* Sun Nov 22 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.11-1
- Update to 0.11.11

* Fri Sep 18 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.9-1
- Update to 0.11.9
- Removed docs which duplicate the ones in native package
- Spec file cleanups

* Sun Aug 30 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.8-4
- Rebuilt with new mingw32-openssl

* Sun Aug 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.8-3
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 13 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.8-1
- Update to 0.11.8, fixes a security issue.
- Remove iconv detection patch that was applied upstream.

* Fri Apr 17 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-3
- Replace %%define with %%global.

* Mon Mar 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-2
- Include *.la files in the rpm.
- Patch configure.ac to fix iconv detection.

* Mon Mar 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.11.7-1
- Initial RPM release.
